Introduction

Welcome to Glarysoft Registry Repair

 Top Next

Problems with the Windows registry are a common cause of Windows crashes and error messages.Registry Repair allows you to fix your registry and optimize your PC performance.With a few easy steps, you are able to find problems caused by invalid entries, references and links in the Windows registry and provides a list of the errors found, you can then choose to selectively repair each item or automatically repair them all.In addition to its main job, Registry Repair also can manage which programs launch on start-up. You'll also find a disk-cleanup utility and an uninstaller.

Registry Repair uses a high-performance detection algorithm to quickly identify missing and invalid references in your Windows registry. These problems can occur for many reasons including being left-behind after the un-installation or incorrect removal of software, by missing or corrupt hardware drivers, or orphaned startup programs.

What Can Registry Repair Do

· Scan the registry using a highly intelligent engine that finds invalid registry entries .
· A simple, user-friendly interface with which you can safely repair invalid entries in your Windows Registry.
· Improving system performance and stability by removing orphaned references in your Windows Registry.
· The automatic creation of Windows Registry backups, with the option to restore them.
· Remove invalid registry entries
· Find where the error occurred from the registry tool (Regedit).
· Remove Adware and Spyware that use the registry to spread and do damage.
· Export found programs list to file.

Registry Repair will cleanup your Registry by finding

· Invalid paths
· Invalid file associations
· Invalid file types
· Invalid custom controls
· Obsolete software entries
· Dead file extensions
· Invalid application paths
· Invalid help paths
· Invalid fonts
· Obsolete start menu order
· Adwares and Spywares that use registry
· Invalid startup programs
· Invalid shared programs
· Invalid program shortcuts
· and all other dead entries through out the registry.

A note to Windows NT/2000/XP users

You must be logged in with Administrator privileges to repair your registry.


Welcome

 Top Previous Next

Problems with the Windows registry are a common cause of Windows crashes and error messages.Registry Repair allows you to fix your registry and optimize your PC performance.With a few easy steps, you are able to find problems caused by invalid entries, references and links in the Windows registry and provides a list of the errors found, you can then choose to selectively repair each item or automatically repair them all.In addition to its main job, Registry Repair also can manage which programs launch on start-up. You'll also find a disk-cleanup utility and an uninstaller.

Registry Repair uses a high-performance detection algorithm to quickly identify missing and invalid references in your Windows registry. These problems can occur for many reasons including being left-behind after the un-installation or incorrect removal of software, by missing or corrupt hardware drivers, or orphaned startup programs.

What Can Registry Repair Do

· Scan the registry using a highly intelligent engine that finds invalid registry entries .
· A simple, user-friendly interface with which you can safely repair invalid entries in your Windows Registry.
· Improving system performance and stability by removing orphaned references in your Windows Registry.
· The automatic creation of Windows Registry backups, with the option to restore them.
· Remove invalid registry entries
· Find where the error occurred from the registry tool (Regedit).
· Remove Adware and Spyware that use the registry to spread and do damage.
· Export found programs list to file.

Registry Repair will cleanup your Registry by finding

· Invalid paths
· Invalid file associations
· Invalid file types
· Invalid custom controls
· Obsolete software entries
· Dead file extensions
· Invalid application paths
· Invalid help paths
· Invalid fonts
· Obsolete start menu order
· Adwares and Spywares that use registry
· Invalid startup programs
· Invalid shared programs
· Invalid program shortcuts
· and all other dead entries through out the registry.

A note to Windows NT/2000/XP users

You must be logged in with Administrator privileges to repair your registry.


System Requirements

Registry Repair is able to adapt to differing Windows versions and supports the following Windows releases: Windows 98, ME, 2000, 2003, XP, NT or Windows Vista.

Minimal system configuration

· Graphics mode 800x600 with 16-bit colors
· 8 MB free hard disk space at least
· Intel Pentium or AMD K5 processor with 133 MHz
· 32 MB RAM

Recommended system configuration

· Graphics mode 1024x768 with 32-bit color
· 8 MB or more free hard disk space
· Intel Pentium 3/4 or AMD Athlon processor with 500 or above MHz
· 128 MB RAM or more


License Agreement

License Agreement

Registry Repair

Copyright (c) 2005 GlarySoft, Inc.

All rights reserved.

Software License

PLEASE READ THIS SOFTWARE LICENSE AGREEMENT "LICENSE" CAREFULLY BEFORE INSTALLING THE SOFTWARE. BY INSTALLING THE SOFTWARE, YOU ARE AGREEING TO BE BOUND BY THE TERMS OF THIS LICENSE. IF YOU DO NOT AGREE TO THE TERMS OF THIS LICENSE, YOU ARE NOT AUTHORIZED TO INSTALL THIS SOFTWARE.

1. License.

The software and any images accompanying this License whether on disk, in read only memory, or on any other media are licensed, not sold, to you by AUTHOR. YOU OWN THE MEDIA ON WHICH THE SOFTWARE IS RECORDED BUT AUTHOR RETAIN TITLE TO THE SOFTWARE. Software in this package and any copies that this License authorizes you to make are subject to this License.

2. Permitted Uses and Restrictions.

This License allows you to install and use the unregistered version of Software for a reasonable period of time for the purpose of determining whether Software is suitable for your needs. The use of full version of Software requires registration.

Except as permitted by applicable law and this License, you may not decompile, reverse engineer, disassemble, modify, rent, lease, loan, distribute, create derivative works from the Software or its component or transmit the Software over a networks.

A limited license is granted to all registered and unregistered users, webmasters, owners of distribution systems, BBS etc to copy and distribute unregistered Software only for the trial use of others, subject to the above limitations, and also the following:

Software and all of its release files must be copied in unmodified form, complete with the file containing this license information.

Your rights under this License will terminate automatically without notice from AUTHOR if you fail to comply with any term(s) of this License.

3. Limited warranty.

AUTHOR warrants that the SOFTWARE will perform in substantial compliance with the description supplied with the software product. If a significant defect in the product is found, there is possibility of a refund. In no event will such a refund exceed the purchase price of the product.

4. Disclaimer of Warranty on AUTHOR.

AUTHOR DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE, WITH RESPECT TO THE PRODUCT. SHOULD THE SOFTWARE PROVE DEFECTIVE, THE PURCHASER ASSUMES THE RISK OF PAYING THE ENTIRE COST OF ALL NECESSARY SERVICING, REPAIR, OR CORRECTION AND ANY INCIDENTAL OR CONSEQUENTIAL DAMAGES. IN NO EVENT WILL AUTHOR BE LIABLE FOR ANY DAMAGES WHATSOEVER (INCLUDING WITHOUT LIMITATION DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION AND THE LIKE) ARISING OUT OF THE USE OR THE INABILITY TO USE THIS PRODUCT EVEN IF AUTHOR HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

5. Complete Agreement.

This License constitutes the entire agreement between the parties with respect to the use of the Software and supersedes all prior or contemporaneous understandings regarding such subject matter. No amendment to or modification of this License will be binding unless in writing and signed by AUTHOR.

GlarySoft Inc.

http://www.glarysoft.com


Contact Information

support@glarysoft.com

If you have any suggestions, comments, technical questions and bug reports,just write to us.

registration@glarysoft.com

If you have not get your registration code in a timely manner or if you've lost your code, please let us know. Please include your name, address, email address, We will be glad to help you.

sales@glarysoft.com

For partnering and reselling issues.

Our website: http://www.glarysoft.com


Purchasing and Registration

How to purchase Glarysoft Registry Repair

You are free to evaluate Glarysoft Registry Repair for a period up to 30 days. If you would like to continue using the software after 30 days, you must order the fully functional version. Please visit us online at www.glarysoft.com for more information on how to purchase.

Registration Benefits:

- Registration code will be delivered to you by e-mail instantly.

- Registration reminder will never popup again

- Fully functional and unlimited usage

- Unlimited technical support

After I purchase, how do I register Glarysoft Registry Repair?

After you purchase you will receive the registration information via email. Once you receive your registration code, go to 'Help' on the main menu and click 'Enter a Registration Code'. A window will appear which allows you to enter your name and registration code. If you can see your name in 'About' Window, then you know you have successfully registered the software.

Note:

If you have any questions about registering, please contact us at support@glarysoft.com.


Using Registry Repair

Modules in this Glarysoft Registry Repair

Modules
· Registry Cleaner

Scan and clean up your registry to improve your system's performance.

· Startup Manager

Manages programs which run automatically on startup.

· Uninstall Manager

Completely uninstall programs you don't need any more.

· Disk Cleaner

Removes junk data from your disks and recovers disk space.

· Process Manager

Monitor programs that run on your PC and stop spyware and Trojans.


Registry Cleaner

How to use

· Scanning the Registry

Click 'Scan registry for problems' and wait for the process to complete. You can cancel the scanning process by pressing the cancel Button or pressing Esc Key.

· Repair invalid registry entries

By default, all entries found are marked for deletion, since all found entries can be safely removed. If you are an expert, you can select those that you want to delete by check marking them.

After scanning the registry, you can click the 'Repair' button or click 'Repair your registry' from main window. During this process, this cleaner tool will do the following:

Backup the registry

Perform an action according to your selection

By choosing 'File -> Export ...', you can save the list as a text file before repairing.

· Restore previous repairs

Whenever you clean the Registry, a corresponding Undo file is generated for any changes made which can be used to recreate the entries deleted.Click 'Restore previous repairs' ,select the file to be merged back to the registry and click the Restore button.


Startup Manager

When you turn on your computer certain applications, drivers, and services are automatically started at the beginning of each Windows session. The information that tells Windows to automatically start these items can be located in a number of places, ranging from a program group on your Start Menu, to certain initialization files that are executed when Windows starts, to one of many places in the system registry. The StartUp manager tool lets you centrally manage all of these items using one single interface. Using the StartUp manager you can easily add, remove, edit, disable, and enable any and all of these "startup items" in order to keep your system's boot-up process as fast and efficient as possible.

How do I find out if a program that starts automatically is necessary?

When you select a startup entry in the list, StartUp Manager displays detailed information on the program in the Details box at the bottom of the window. You can easily determine whether or not you wish to have the program started on the basis of the Product name and Company. If you have never heard of the company or the product, then the entry is probably not needed.You can also find it's more information from internet ,to do this,right click your mouse and select 'Search Google' on the popup menu.

Deactivating and deleting entries

Unmark the check box in front of an entry to disable it, and the program will no longer be started the next time you start Windows. In this way, you can find out for certain whether the entry is needed. If something doesn't work properly the next time you start Windows, all you have to do is select the check box again.

If you are certain that you no longer need an entry, you can remove it from the list entirely by clicking 'Delete this entry'.

Adding a new startup entry

If you wish to add a program to one of the startup folders yourself, click 'Add program...'.

Enter the name of the desired application in the dialog and enter the directory path of the program file in the Path/Command Line box. You can use the Find button to help you find the file.

You may also edit any of the existing listed items in order to move them from one location to another, change their program description, or update the command line that is being used to start the item.

Export the StartUp list

By clicking 'Export...' from 'File' Menu, you can save the list as a text file.


Uninstall Manager

Uninstall Manager is similar to standard Windows Add/Remove program but more powerful.The standard Add/Remove program can't uninstall applications completely which often leaves broken registry keys ,unnecessary files on the hard disk.The more junk files your computer have ,the slower it runs. Uninstall Manager can wipe off all the junk files clearly in seconds.It offers a more user-friendly way to remove unneeded applications and to improve your computer efficiency.

Completely Uninstall

The Standard Add/Remove Program often can't uninstall applications completely .It often leave files on the hard drive ,associated desktop icons, Start menu entries and keys in the registry. Big registry and large number of unnecessary files make the system slower and slower. Uninstall Manager can clear them in seconds!

Fast and User-Friendly

Uninstall Manager starts up more faster than Add/Remove program with all appropriate icons of the application loaded and marks recently installed program. so that you can easily find out the application you want to uninstall. You may also look up the application you want through a handy search function.

How to use

· Change/Remove a program

Select the program you want to uninstall, then click "Change/Remove" or click "Uninstall this program" or choose "Uninstall this program" from popup menu. Uninstall Manager will handle the process and clears everything of the application.

· Batch Uninstall programs

Click 'Batch Uninstall' and mark the programs you want to uninstall then click 'Uninstall Checked Programs'.

· Backup/restore uninstall information

Choose from "File->Backup Uninstall Info" or "File->Restore Uninstall Info" and select a file.

· Autofix invalid entries

Choose from "Edit->Autofix Invalid Entries" .Uninstall Manager will find invalid entries automatically and cleans them with your permission.

· Restore removed entries

Uninstall Manager provides flexible backup options and lets you restore any deleted program entries.to restore that,choose from "Edit->Restore removed entries".

· Modify Properties

Choose "Edit->Modify Properties" or click "Modify Properties" and edit in the popup form. Be careful to do this, if you don't know what it is , just leave it there.


Disk Cleaner

Windows applications create several files on your hard drive for temporarily storing the data. These files are supposed to be removed when application terminates.Often, however, the temporary files are not removed because of a program error or careless architecture, because your system was reset or not shut down properly, or because another application has stopped responding or crashed. It is important to know that any file which is left behind in this manner will remain on your system unless you manually search and remove it. Over time, these junk and obsolete files can accumulate to megabytes of wasted hard drive space, as well as turn into potential error-producing cross-linked drive references. Disk Cleaner targets these specific types of files which are missed by common disk utilities like Uninstaller, Defrag and Scandisk etc,ensuring that all junk files are removed from your system.

How to use

· Click the 'Disk Cleaner' option from the Glary Utilities main page..
· Click 'Options'. This will take you to Glary Utilities options page. There you can add or remove a few settings related to the 'Disk Cleaner' tool. After changing the options, click 'Ok' to save the preferences.
· To include a drive in search process just mark the Check box in front of the drive Name. To exclude the drive from the search process just uncheck the list box. then press "Next" button to proceed further.
· At some point if you decide to stop the scanning process, click on 'Back' button.
· After scanning is completed,Disk Cleaner will display a summary report of total junk files found on your system. Click on the "View Files" link to view a list of junk files.Select files and right click on them to see a context menu. There are various options, all of them self-explanatory. You can open a file, explore its path and can see its properties.
· After you have made the selection you can remove these files from your system by pressing the "Next" button. Disk Cleaner will remove these files permanently.
· If you marked the check box in front of "Backup temporary files before cleaning" or "Backup Zero-byte files before cleaning",you can restore them by clicking 'Restore' button in More options page.


Process Manager

 Top Previous

Process Manager is an enhanced task manager, that provides advanced information about programs and processes running on the computer. It displays all the standard information, including file name, directory path, description, CPU usage etc. as well as a unique security risk rating. This rating is conclusive and relies on the expertise of the user to determine whether the process should be terminated or removed.

Process Manager allows you to monitor CPU and memory usage graphs per process, view detailed processes information (with descriptions), stop and start new processes, set priorities and much more. You can easily find and remove unnecessary background processes as well as assigning more resources to demanding processes like games, realtime multimedia applications and cd writing softwares.

Replacing Task Manager

If you click File > Replace Task Manager, Process Manager integrates itself into your system so that you can access the module by pressing Ctrl+Alt+Del, or by right clicking on an empty part of the taskbar and selecting Task Manager.

If you want to use the Windows Task Manager again, simply select the same menu item to remove the check mark in front of it.

Menu bar functions

The menu bar at the top of the Process Manager window provides you with additional functions.

Click File > New Tasks(Run...) to open the Windows Run dialog, which you can use to start a new application or open a file.

Click File > Exit Windows to shut down or restart the computer so that new settings can take effect.

If you have selected a process in the list, you can click Edit > Set Process Priority to specify how much processing power Windows should assign to this process.

To sort the list of processes

On the Processes tab, click the column heading you want to sort by. To reverse the sort order, click the column heading a second time.

To end a process

Click the process that you want to end, and then click End Process.

Be careful when ending a process. If you end an application, you will lose unsaved data. If you end a system service, some part of the system might not function properly.